<?php

namespace App\JsonRpc;

interface PublicRpcServiceInterface
{
    /**
     * @param array $data
     */
    public function getDistrictList(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function getUserLevelList(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function addUserLevel(array $data): array;

    public function updateUserLevel(array $data): array;

    /**
     * @param int $id
     * @return array
     */
    public function delUserLevel(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function getLetterOfComplaint(array $data): array;
    /**
     * @param array $data
     * @return array
     */
    public function getLetterOfComplaintInfo(array $data): array;
    /**
     * @param array $data
     * @return array
     */
    public function delLetterOfComplaint(array $data): array;
    /**
     * @param array $data
     * @return array
     */
    public function addLetterOfComplaint(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function upLetterOfComplaint(array $data): array;

    /**
     * 用户端更新投诉信息
     * @param array $data
     * @return array
     */
    public function userUpLetterOfComplaint(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function getLetterType(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function upLetterType(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function addLetterType(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function delLetterType(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function checkMeasure(array $data): array;

    /**
     * @param array $data
     * @return array
     */

    public function getZhinengbumenList(array $data): array;

    public function getDepartment(array $data): array;



    /**
     * @param array $data
     * @return array
     */
    public function addZhinengbumen(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function delZhinengbumen(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function getZhinengbumen(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function getPidZhinengbumen(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function modZhinengbumen(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function getBuckets(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function uploadFile(array $data): array;
}
