<?php

declare(strict_types=1);

namespace App\Model;

use Hyperf\DbConnection\Model\Model;

/**
 * @property int $id 
 * @property int $pid 
 * @property string $name 
 * @property string $dir_name 
 * @property int $fid 
 * @property int $fup 
 * @property int $mid 
 * @property int $class 
 * @property int $sons 
 * @property int $type 
 * @property string $admin 
 * @property int $list 
 * @property int $listorder 
 * @property string $passwd 
 * @property string $logo 
 * @property string $descrip 
 * @property string $style 
 * @property string $template 
 * @property string $jumpurl 
 * @property int $maxperpage 
 * @property string $metakeywords 
 * @property string $metadescription 
 * @property int $allowcomment 
 * @property string $allowpost 
 * @property string $allowviewtitle 
 * @property string $allowviewcontent 
 * @property string $allowdownload 
 * @property int $forbidshow 
 * @property string $config 
 * @property int $index_show 
 * @property int $contents 
 * @property string $tableid 
 * @property int $sort 

 */
class Department extends Model
{
    /**
     * The table associated with the model.
     */
    protected ?string $table = 'department';

    /**
     * The attributes that are mass assignable.
     */
    protected array $fillable = [];

    /**
     * The attributes that should be cast to native types.
     */
    protected array $casts = ['id' => 'integer', 'pid' => 'integer', 'fid' => 'integer', 'fup' => 'integer', 'mid' => 'integer', 'class' => 'integer', 'sons' => 'integer', 'type' => 'integer', 'list' => 'integer', 'listorder' => 'integer', 'maxperpage' => 'integer', 'allowcomment' => 'integer', 'forbidshow' => 'integer', 'index_show' => 'integer', 'contents' => 'integer', 'sort' => 'integer'];

}
